/*!
  \file
  \brief 一時停止可能なタイマー

  \author Satofumi KAMIMURA

  $Id: StopWatch.cpp 1053 2009-06-20 22:52:51Z satofumi $
*/

#include "StopWatch.h"

using namespace qrk;


struct StopWatch::pImpl
{
  // !!! pause() 時の ticks を保持する変数
  // !!! 再生比を保持する変数


  pImpl(void) {
  }
};


StopWatch::StopWatch(void)
{
}


StopWatch::~StopWatch(void)
{
}


void StopWatch::start(void)
{
}


void StopWatch::stop(void)
{
}


void StopWatch::pause(void)
{
}


void StopWatch::resume(void)
{
}


int StopWatch::ticks(void)
{
  // !!!

  return 0;
}


bool StopWatch::isPause(void)
{
  // !!!

  return false;
}


void StopWatch::setSpeedRatio(double ratio)
{
  static_cast<void>(ratio);

  // !!!
}
